org.jacoco.core.data

## Interface ISessionInfoVisitor

All Known Implementing Classes:
  ExecutionDataWriter, RemoteControlWriter, SessionInfoStore

    public interface ISessionInfoVisitor

Interface for data output of collected session information. This interface is meant to be implemented by parties that want to retrieve data from the coverage runtime.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitSessionInfo(SessionInfo info)` Provides session information for the subsequent execution data calls.

### Method Detail

#### visitSessionInfo

    void visitSessionInfo(SessionInfo info)

Provides session information for the subsequent execution data calls. In case of merged sessions this method might be called multiple times.

Parameters:
  `info` - session information